Replay eligible deliveries
curl --request POST \
--url https://plainrouter.com/api/v1/deliveries/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delivery_ids": [
123
],
"event_name": "<string>",
"limit": 2
}
'import requests
url = "https://plainrouter.com/api/v1/deliveries/replay"
payload = {
"delivery_ids": [123],
"event_name": "<string>",
"limit": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({delivery_ids: [123], event_name: '<string>', limit: 2})
};
fetch('https://plainrouter.com/api/v1/deliveries/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queued": 123,
"expired": 123,
"payload_expired": 123,
"capped": true
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Replay eligible deliveries
Evaluates retained failed deliveries and queues the eligible subset for another delivery attempt.
POST
/
deliveries
/
replay
Replay eligible deliveries
Authorizations
Per-tracker bearer secret. It authenticates only the Signal tracker represented by the credential.
Body
application/json
⌘I